> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Invoice: Rent Manager

POST https://api.propexo.com/v1/invoices/rentmanager/
Content-Type: application/json

Create Invoice: Rent Manager| Method      |
| ----------- |
| POST /Bills |This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Reference: https://docs.propexo.com/api-reference/rent-manager/invoices/create-invoice-rent-manager

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_invoices_rentmanager__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `vendor_id` (string, required) — The Propexo unique identifier for the vendor
- `location_id` (string, required) — The Propexo unique identifier for the location
- `invoice_date` (V1InvoicesRentmanagerPostInputInvoiceDate, required) — The date of issuance for the invoice
- `due_date` (V1InvoicesRentmanagerPostInputDueDate, required) — The due date associated with the invoice
- `post_date` (V1InvoicesRentmanagerPostInputPostDate, required) — The post date for the invoice.
- `total_amount_in_cents` (integer, required) — The total amount of the invoice
- `invoice_items` (list of V1InvoicesRentmanagerPostInputInvoiceItemsItems, required) — Line items for the invoice. Each item represents a detail line on the bill in Rent Manager.
- `invoice_number` (string, optional) — The invoice or reference number that the vendor assigned to the service request
- `notes` (string, optional) — Notes associated with the invoice

## Response

### 200

Successful response

- `meta` (V1InvoicesRentmanagerPostOutputMeta, required)
- `result` (V1InvoicesRentmanagerPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1InvoicesRentmanagerPostInputInvoiceDate

The date of issuance for the invoice

### V1InvoicesRentmanagerPostInputDueDate

The due date associated with the invoice

### V1InvoicesRentmanagerPostInputPostDate

The post date for the invoice.

### V1InvoicesRentmanagerPostInputInvoiceItemsItems

- `amount_in_cents` (integer, required) — The amount of the invoice item, in cents
- `property_id` (string, required) — The Propexo unique identifier for the property
- `financial_account_id` (string, required) — The Propexo unique identifier for the financial account
- `notes` (string, optional) — Notes associated with the invoice item

### V1InvoicesRentmanagerPostOutputMeta

- `job_id` (string, required)

### V1InvoicesRentmanagerPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `vendor_id` (string, required) — The Propexo unique identifier for the vendor
- `location_id` (string, required) — The Propexo unique identifier for the location
- `invoice_date` (V1InvoicesRentmanagerPostOutputResultInvoiceDate, required, nullable)
- `due_date` (V1InvoicesRentmanagerPostOutputResultDueDate, required, nullable)
- `post_date` (V1InvoicesRentmanagerPostOutputResultPostDate, required, nullable)
- `total_amount_in_cents` (integer, required) — The total amount of the invoice
- `invoice_number` (string, required, nullable) — The invoice or reference number that the vendor assigned to the service request
- `notes` (string, required, nullable) — Notes associated with the invoice
- `invoice_items` (list of V1InvoicesRentmanagerPostOutputResultInvoiceItemsItems, required)

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1InvoicesRentmanagerPostOutputResultInvoiceDate

### V1InvoicesRentmanagerPostOutputResultDueDate

### V1InvoicesRentmanagerPostOutputResultPostDate

### V1InvoicesRentmanagerPostOutputResultInvoiceItemsItems

- `amount_in_cents` (integer, required) — The amount of the invoice item, in cents
- `property_id` (string, required) — The Propexo unique identifier for the property
- `financial_account_id` (string, required) — The Propexo unique identifier for the financial account
- `notes` (string, optional) — Notes associated with the invoice item

## Examples

**Request**

```json
{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
  "vendor_id": "vend_1234567890abcdef",
  "location_id": "loc_0987654321fedcba",
  "invoice_date": "2024-01-15T09:30:00Z",
  "due_date": "2024-02-14T23:59:59Z",
  "post_date": "2024-01-16T10:00:00Z",
  "total_amount_in_cents": 125000,
  "invoice_items": [
    {
      "amount_in_cents": 125000,
      "property_id": "prop_abcdef1234567890",
      "financial_account_id": "finacc_1122334455667788"
    }
  ]
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job_20240115_abc123xyz"
  },
  "result": {
    "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
    "vendor_id": "vend_1234567890abcdef",
    "location_id": "loc_0987654321fedcba",
    "invoice_date": "2024-01-15T09:30:00Z",
    "due_date": "2024-02-14T23:59:59Z",
    "post_date": "2024-01-16T10:00:00Z",
    "total_amount_in_cents": 125000,
    "invoice_number": "INV-2024-000123",
    "notes": "Monthly rent invoice for January 2024",
    "invoice_items": [
      {
        "amount_in_cents": 125000,
        "property_id": "prop_abcdef1234567890",
        "financial_account_id": "finacc_1122334455667788",
        "notes": "Rent for unit 12B"
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/invoices/rentmanager/"

payload = {
    "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
    "vendor_id": "vend_1234567890abcdef",
    "location_id": "loc_0987654321fedcba",
    "invoice_date": "2024-01-15T09:30:00Z",
    "due_date": "2024-02-14T23:59:59Z",
    "post_date": "2024-01-16T10:00:00Z",
    "total_amount_in_cents": 125000,
    "invoice_items": [
        {
            "amount_in_cents": 125000,
            "property_id": "prop_abcdef1234567890",
            "financial_account_id": "finacc_1122334455667788"
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/invoices/rentmanager/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg_9f8b7c6d5e4a3b2c1d0e","vendor_id":"vend_1234567890abcdef","location_id":"loc_0987654321fedcba","invoice_date":"2024-01-15T09:30:00Z","due_date":"2024-02-14T23:59:59Z","post_date":"2024-01-16T10:00:00Z","total_amount_in_cents":125000,"invoice_items":[{"amount_in_cents":125000,"property_id":"prop_abcdef1234567890","financial_account_id":"finacc_1122334455667788"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/invoices/rentmanager/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"vendor_id\": \"vend_1234567890abcdef\",\n  \"location_id\": \"loc_0987654321fedcba\",\n  \"invoice_date\": \"2024-01-15T09:30:00Z\",\n  \"due_date\": \"2024-02-14T23:59:59Z\",\n  \"post_date\": \"2024-01-16T10:00:00Z\",\n  \"total_amount_in_cents\": 125000,\n  \"invoice_items\": [\n    {\n      \"amount_in_cents\": 125000,\n      \"property_id\": \"prop_abcdef1234567890\",\n      \"financial_account_id\": \"finacc_1122334455667788\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/invoices/rentmanager/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"vendor_id\": \"vend_1234567890abcdef\",\n  \"location_id\": \"loc_0987654321fedcba\",\n  \"invoice_date\": \"2024-01-15T09:30:00Z\",\n  \"due_date\": \"2024-02-14T23:59:59Z\",\n  \"post_date\": \"2024-01-16T10:00:00Z\",\n  \"total_amount_in_cents\": 125000,\n  \"invoice_items\": [\n    {\n      \"amount_in_cents\": 125000,\n      \"property_id\": \"prop_abcdef1234567890\",\n      \"financial_account_id\": \"finacc_1122334455667788\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/invoices/rentmanager/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"vendor_id\": \"vend_1234567890abcdef\",\n  \"location_id\": \"loc_0987654321fedcba\",\n  \"invoice_date\": \"2024-01-15T09:30:00Z\",\n  \"due_date\": \"2024-02-14T23:59:59Z\",\n  \"post_date\": \"2024-01-16T10:00:00Z\",\n  \"total_amount_in_cents\": 125000,\n  \"invoice_items\": [\n    {\n      \"amount_in_cents\": 125000,\n      \"property_id\": \"prop_abcdef1234567890\",\n      \"financial_account_id\": \"finacc_1122334455667788\"\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/invoices/rentmanager/', [
  'body' => '{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
  "vendor_id": "vend_1234567890abcdef",
  "location_id": "loc_0987654321fedcba",
  "invoice_date": "2024-01-15T09:30:00Z",
  "due_date": "2024-02-14T23:59:59Z",
  "post_date": "2024-01-16T10:00:00Z",
  "total_amount_in_cents": 125000,
  "invoice_items": [
    {
      "amount_in_cents": 125000,
      "property_id": "prop_abcdef1234567890",
      "financial_account_id": "finacc_1122334455667788"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/invoices/rentmanager/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"vendor_id\": \"vend_1234567890abcdef\",\n  \"location_id\": \"loc_0987654321fedcba\",\n  \"invoice_date\": \"2024-01-15T09:30:00Z\",\n  \"due_date\": \"2024-02-14T23:59:59Z\",\n  \"post_date\": \"2024-01-16T10:00:00Z\",\n  \"total_amount_in_cents\": 125000,\n  \"invoice_items\": [\n    {\n      \"amount_in_cents\": 125000,\n      \"property_id\": \"prop_abcdef1234567890\",\n      \"financial_account_id\": \"finacc_1122334455667788\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
  "vendor_id": "vend_1234567890abcdef",
  "location_id": "loc_0987654321fedcba",
  "invoice_date": "2024-01-15T09:30:00Z",
  "due_date": "2024-02-14T23:59:59Z",
  "post_date": "2024-01-16T10:00:00Z",
  "total_amount_in_cents": 125000,
  "invoice_items": [
    [
      "amount_in_cents": 125000,
      "property_id": "prop_abcdef1234567890",
      "financial_account_id": "finacc_1122334455667788"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/invoices/rentmanager/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```